Package be.fgov.ehealth.aa.complextype.v1

# Class SupportedQuality

java.lang.Object
be.fgov.ehealth.aa.complextype.v1.QualityDescriberType
be.fgov.ehealth.aa.complextype.v1.SupportedQuality

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:06+02:00", comments="JAXB RI v4.0.5") public class SupportedQuality extends QualityDescriberType implements Serializable
Info on supported quality.

Java class for SupportedQualityType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SupportedQualityType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:aa:complextype:v1}QualityDescriberType">
           <attribute ref="{urn:be:fgov:ehealth:aa:complextype:v1}resourceEnumeration use="required""/>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SupportedQuality()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getResourceEnumeration()`
  Gets the value of the resourceEnumeration property.
  `void`
  `setResourceEnumeration(String value)`
  Sets the value of the resourceEnumeration property.

  ### Methods inherited from class be.fgov.ehealth.aa.complextype.v1.QualityDescriberType

  `getAttributes, getQualityTypeCodes, getQualityTypeFriendlyNames`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SupportedQuality

    public SupportedQuality()

- ## Method Details

  - ### getResourceEnumeration

    public String getResourceEnumeration()
    Gets the value of the resourceEnumeration property.
    Returns:
      possible object is `String`

  - ### setResourceEnumeration

    public void setResourceEnumeration(String value)
    Sets the value of the resourceEnumeration property.
    Parameters:
      `value` - allowed object is `String`